﻿using Event;
using Log;
using Protocols;
using ServerLib;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Text;
using System.Threading.Tasks;

namespace Redis
{
    /// <summary>
    /// 数据库key
    /// </summary>
    public class RedisName
    {
        public RedisName()
        {
        }

        /// <summary>
        /// 数据中心
        /// </summary>
        public const string datacenter = "datacenter";

        public const string InviteweixinUnionid = "InviteweixinUnionid";

        /// <summary>
        /// 数据中心
        /// </summary>
        public const string all_recharges = "all_recharges";
        public const string recharge_order = "recharge_order";

        public static string all_agents = "all_agents";

        /// <summary>
        /// 游戏数据收集
        /// </summary>
        public static string game_data_collect = "game_data_collect";

        // 玩家账号
        public static string all_playerids = "all_playerids";
        public static string all_robots = "all_robots";
        public static string player_ = "player_";

        public static string global_things = "global_things";

        //公会
        public static string official_guilds = "official_guilds";
        public static string guild_ = "guild_";
        public static string guilds = "guilds";
        public static string guild_id_name_ = "guild_id_name_";

        public static string account_ = "account_";
        public static string player_list = "player_list";

        // 后台账号
        public static string all_back_accounts = "all_back_accounts";
        public static string back_account_ = "back_account_";

        /// <summary>
        /// TUSD流水
        /// </summary>
        public static string tusd_change = "tusd_change";

        /// <summary>
        /// TUSD流水总条目
        /// </summary>
        public static string tusd_change_list = "tusd_change_list";

        /// <summary>
        /// TUSD流水总日期
        /// </summary>
        public static string tusd_change_day = "tusd_change_day";

        /// <summary>
        /// 返利流水
        /// </summary>
        public static string agent_rebate_list = "agent_rebate_list";
        public static string agent_rebate_day = "agent_rebate_day";
        public static string agent_rebate = "agent_rebate";

        /// <summary>
        /// 充值记录
        /// </summary>
        public static string recharge_record = "recharge_record";

        /// <summary>
        /// 每日充值记录
        /// </summary>
        public static string recharge_record_day = "recharge_record_day";

        /// <summary>
        /// 总充值记录
        /// </summary>
        public static string recharge_record_list = "recharge_record_list";

        /// <summary>
        /// 验证码
        /// </summary>
        public static string phoneverifycode_ = "phoneverifycode_";

        /// <summary>
        /// 当前赛季
        /// </summary>
        public static string current_race_season = "current_race_season";

        /// <summary>
        /// 排位赛
        /// </summary>
        public static string rank_race_ = "rank_race_";

        /// <summary>
        /// 金币排行
        /// </summary>
        public static string gold_rank = "gold_rank";

        // usdt排行
        public static string currency_rank = "currency_rank";

        /// <summary>
        /// 算力排行
        /// </summary>
        public static string calculation_rank = "calculation_rank";

        /// <summary>
        /// 邀请赛
        /// </summary>
        public static string invite_race_ = "invite_race_";
        public static string invite_races = "invite_races";

        /// <summary>
        /// 分组赛
        /// </summary>
        public static string group_races = "group_races";
        public static string group_race_ = "group_race_";
        public static string group_race_team_ = "group_race_team_";

        /// <summary>
        /// 公社红包
        /// </summary>
        public static string guild_redpacket_uuids = "guild_redpacket_uuids";
        public static string guild_redpacket_ = "guild_redpacket_";
        public static string guild_redpackets = "guild_redpackets";

        /// <summary>
        /// 骰子王
        /// </summary>
        public static string dice_kings = "dice_kings";
        public static string dice_king_ = "dice_king_";

        /// <summary>
        /// 百人牛牛机器人列表
        /// </summary>
        public static string hundred_cattle_robots = "hundred_cattle_robots";

        /// <summary>
        /// 龙虎斗机器人列表
        /// </summary>
        public static string dragontigerfight_robots = "dragontigerfight_robots";

        /// <summary>
        /// 红包扫雷机器人列表
        /// </summary>
        public static string redpacketdemining_robots = "redpacketdemining_robots";

        /// <summary>
        /// 以太坊tusd
        /// </summary>
        public static string ethereum_tusd_rank = "ethereum_tusd_rank";

        /// <summary>
        /// 蠢鸟飞飞
        /// </summary>
        public static string flybird = "flybird";

        /// <summary>
        /// 俄罗斯方块
        /// </summary>
        public static string tetris = "tetris";

        /// <summary>
        /// 五子棋
        /// </summary>
        public static string gobang = "gobang";

        /// <summary>
        /// 斗地主
        /// </summary>
        public static string landlord = "landlord";

        /// <summary>
        /// 象棋
        /// </summary>
        public static string chinesechess = "chinesechess";

        /// <summary>
        /// 连连看
        /// </summary>
        public static string link = "link";

        /// <summary>
        /// 消星星
        /// </summary>
        public static string starlist = "starlist";

        /// <summary>
        /// 猜拳
        /// </summary>
        public static string finger = "finger";

        /// <summary>
        /// 蠢鸟飞飞双人
        /// </summary>
        public static string flybird_online = "flybird_online";
        /// <summary>
        /// 俄罗斯方块双人
        /// </summary>
        public static string tetris_online = "tetris_online";

        /// <summary>
        /// 五子棋双人
        /// </summary>
        public static string gobang_online = "gobang_online";

        /// <summary>
        /// 斗地主多人
        /// </summary>
        public static string landlord_online = "landlord_online";

        /// <summary>
        /// 象棋对战
        /// </summary>
        public static string chinesechess_online = "chinesechess_online";

        /// <summary>
        /// 连连看对战
        /// </summary>
        public static string link_online = "link_online";

        /// <summary>
        /// 连连看单人
        /// </summary>
        public static string link_single = "link_single";

        /// <summary>
        /// 消星星对战
        /// </summary>
        public static string starlist_online = "starlist_online";

        /// <summary>
        /// 消星星单人
        /// </summary>
        public static string starlist_single = "starlist_single";

        /// <summary>
        /// 猜拳对战
        /// </summary>
        public static string finger_online = "finger_online";

        /// <summary>
        /// 筛子王
        /// </summary>
        public static string dice_king = "dice_king";

        /// <summary>
        /// 二人麻将
        /// </summary>
        public static string mj_queshen = "mj_queshen";

        /// <summary>
        /// 三人斗地主
        /// </summary>
        public static string three_landlord = "three_landlord";

        public static string dice_king_online = "dice_king_online";

        public static string mj_queshen_online = "mj_queshen_online";

        public static string mj_xueliu_online = "mj_xueliu_online";

        public static string three_landlord_online = "three_landlord_online";

        public static string hundred_cattle = "hundred_cattle";
        /// <summary>
        /// 龙虎斗
        /// </summary>
        public static string dragontigerfight = "dragon_tiger_fight";

        public static string dragontigerfight_online = "dragon_tiger_fight_online";

        public static string redpacketdemining = "redpacket_demining";
        public static string redpacketdeminingroom = "redpacket_demining_room";
        public static string redpacketdeminingroom_ = "redpacket_demining_room_";

        /// <summary>
        /// 每日新增注册
        /// </summary>
        public const string day_reg = "day_reg";

        /// <summary>
        /// 每日新增激活
        /// </summary>
        public const string day_reg_active = "day_reg_active";

        /// <summary>
        /// 每日激活
        /// </summary>
        public const string day_active = "day_active";

        /// <summary>
        /// 每周新增注册
        /// </summary>
        public const string week_reg = "week_reg";

        /// <summary>
        /// 每周新增激活
        /// </summary>
        public const string week_reg_active = "week_reg_active";

        /// <summary>
        /// 每周激活
        /// </summary>
        public const string week_active = "week_active";

        /// <summary>
        /// set交集目的地，临时用
        /// </summary>
        public const string set_null_destination = "";

        /// <summary>
        /// 总注册人数
        /// </summary>
        public const string total_reg = "total_reg";

        /// <summary>
        /// 总激活人数
        /// </summary>
        public const string total_active = "total_active";

        /// <summary>
        /// 玩游戏人数
        /// </summary>
        public const string playroles = "playroles";

        /// <summary>
        /// 手动设置玩家人数
        /// </summary>
        public const string hand_role_count = "hand_role_count";

        /// <summary>
        /// 玩家人数记录
        /// </summary>
        public const string player_count_record = "player_count_record";

        /// <summary>
        /// 货币信息
        /// </summary>
        public const string coin_data = "coin_data";

        /// <summary>
        /// 比赛场排行信息
        /// </summary>
        public const string race_rank_info = "race_rank_info";

        /// <summary>
        /// 矿池
        /// </summary>
        public const string mine_pool = "mine_pool";

        /// <summary>
        /// 社区赠送池子
        /// </summary>
        public const string community_presentation_pool = "community_presentation_pool";

        /// <summary>
        /// 自动开启比赛记录
        /// </summary>
        public const string all_autostart_race = "all_autostart_race";

        /// <summary>
        /// 消息系统
        /// </summary>
        public static string messages = "messages";

        public static string message_ = "message_";

        /// <summary>
        /// 充值话费申请列表
        /// </summary>
        public static string phone_recharge_apply_list = "phone_recharge_apply_list";

        /// <summary>
        /// 充值话费确认列表
        /// </summary>
        public static string phone_recharge_confirm_list = "phone_recharge_confirm_list";

        /// <summary>
        /// 充值话费条目
        /// </summary>
        public static string phone_recharge_item_ = "phone_recharge_item_";

        /// <summary>
        ///邀请赛冠军
        /// </summary>
        public static string invit_race_champion_list = "invit_race_champion_list";
        public static string invit_race_champion_ = "invit_race_champion_";

        /// <summary>
        /// 单个手机绑定信息
        /// </summary>
        public static string phone_item_ = "phone_item_";

        /// <summary>
        /// 预订游戏列表
        /// </summary>
        public static string book_game_list = "book_game_list";

        /// <summary>
        /// 预订游戏条目
        /// </summary>
        public static string book_game_item_ = "book_game_item_";

        /// <summary>
        /// 开发游戏列表
        /// </summary>
        public static string develop_game_list = "develop_game_list";

        /// <summary>
        /// 开发游戏条目
        /// </summary>
        public static string develop_game_item_ = "develop_game_item_";

        /// <summary>
        /// 区块链提现申请列表
        /// </summary>
        public static string chain_cash_apply_list = "chain_cash_apply_list";

        /// <summary>
        /// 区块链提现确认列表
        /// </summary>
        public static string chain_cash_confirm_list = "chain_cash_confirm_list";

        /// <summary>
        /// 区块链提现拒绝列表
        /// </summary>
        public static string chain_cash_refuse_list = "chain_cash_refuse_list";

        /// <summary>
        /// 区块链提现成功列表
        /// </summary>
        public static string chain_cash_ok_list = "chain_cash_ok_list";

        /// <summary>
        /// 区块链提现失败列表
        /// </summary>
        public static string chain_cash_failed_list = "chain_cash_failed_list";

        /// <summary>
        /// 区块链提现条目
        /// </summary>
        public static string chain_cash_item_ = "chain_cash_item_";

        /// <summary>
        /// 区块链流水单
        /// </summary>
        public static string chain_waterbill_ = "chain_waterbill_";

        /// <summary>
        /// 所有区块链流水单
        /// </summary>
        public static string all_chain_waterbills = "all_chain_waterbills";

        /// <summary>
        /// 区块链归集列表
        /// </summary>
        public static string chain_collect_list = "chain_collect_list";

        /// <summary>
        /// 区块链归集条目
        /// </summary>
        public static string chain_collect_ = "chain_collect_";

        /// <summary>
        /// 全局钱包信息
        /// </summary>
        public static string global_wallet = "global_wallet";
        ///*********************************************************

        /// <summary>
        /// 积分商城兑换实物条目
        /// </summary>
        public static string exchange_goods_item_ = "exchange_goods_item_";

        /// <summary>
        /// 积分商城兑换实物请求列表
        /// </summary>
        public static string exchange_goods_apply_list = "exchange_goods_apply_list";

        /// <summary>
        /// 积分商城兑换实物已发货列表
        /// </summary>
        public static string exchange_goods_confirm_list = "exchange_goods_confirm_list";

        /// <summary>
        /// 点点交易
        /// </summary>
        public static string c2cdeal = "c2cdeal";
    }
}
